GroovyExecutableMemberDoc (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.groovydoc

## Interface GroovyExecutableMemberDoc

- All Superinterfaces:
    java.lang.Comparable, GroovyDoc, GroovyMemberDoc, GroovyProgramElementDoc
  All Known Subinterfaces:
    GroovyConstructorDoc, GroovyMethodDoc
  All Known Implementing Classes:
    SimpleGroovyConstructorDoc, SimpleGroovyExecutableMemberDoc, SimpleGroovyMethodDoc

      public interface GroovyExecutableMemberDoc
      extends GroovyMemberDoc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `flatSignature()`
    `boolean` | `isNative()`
    `boolean` | `isSynchronized()`
    `boolean` | `isVarArgs()`
    `GroovyParameter[]` | `parameters()`
    `java.lang.String` | `signature()`
    `GroovyClassDoc[]` | `thrownExceptions()`
    `GroovyType[]` | `thrownExceptionTypes()`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

      `isSynthetic`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### flatSignature

          java.lang.String flatSignature()

    - #### isNative

          boolean isNative()

    - #### isSynchronized

          boolean isSynchronized()

    - #### isVarArgs

          boolean isVarArgs()

    - #### parameters

          GroovyParameter[] parameters()

    - #### signature

          java.lang.String signature()

    - #### thrownExceptions

          GroovyClassDoc[] thrownExceptions()

    - #### thrownExceptionTypes

          GroovyType[] thrownExceptionTypes()